Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 

Upgrading a converted WLSE to newer versions of WCS and Red Hat

This document covers instructions on how to acquire and install more current versions of Red Hat Enterprise Linux on a converted WLSE server, so that more current versions of WCS can be installed.

Starting with WCS 5.0.56.0, installations on Red Hat Linux servers--including the converted WLSE server--require Red Hat Enterprise Linux version 5 or later.  On converted WLSEs with WCS 4.2 and earlier, the Red Hat Linux was version 4.  Since the converted WLSE is still an appliance, Cisco is responsible for providing upgrades to the operating system.

To upgrade the Red Hat Enterprise Linux on a converted WLSE server, follow these instructions.

1.) Open a TAC service request to request the Red Hat Enterprise Linux upgrade .iso image, WCS-WLSEU-RH5-UPGRADE.iso.

Note:  The installer on this upgrade CD checks for a hardware signature that indicates that the server it's being installed on is indeed a converted WLSE.  This upgrade CD cannot be used on any other server than a converted WLSE.

2.) Burn the WCS-WLSEU-RH5-UPGRADE.iso image to a CDROM using the SLOWEST possible burn speed.  Keep in mind that the WLSE hardware is a few years old, so the CDROM drive does not have the same capabilities that more modern CDROM drives do.

3.) Take a backup of your existing WCS data with the Linux command

/opt/WCSx.x.x.x/Backup

(where x.x.x.x is your version of WCS).  You may need to substitute the path if WCS was installed somewhere other than the default location.

4.) Insert the burned upgrade CD into the CDROM drive, and reboot the unit with the Linux command

/sbin/shutdown -r now

Wait for the upgrade to complete, eject the CD and reboot the unit itself.

5.) Log back into the unit, confirm the upgrade with the Linux command

cat /etc/redhat-release

You should see Red Hat 5.

[root@wlse ~]# cat /etc/redhat-release
Red Hat Enterprise Linux Server release 5 (Tikanga)
[root@wlse ~]# 

6.) Install the next version of WCS in your upgrade path.  To ensure that the new executables were installed correctly and the default database from the new installation works, start WCS with the Linux command

/opt/WCSx.x.x.x/StartWCS

(where x.x.x.x is your new version of WCS) and log into the WCS GUI with the root user and password created during installation.  When confirmed, stop WCS with the Linux command

/opt/WCSx.x.x.x/StopWCS

(where x.x.x.x is your new version of WCS) and restore the backup taken in step 3.) with the Linux command

/opt/WCSx.x.x.x/Restore

(where x.x.x.x is your new version of WCS).

7.) When that first iteration completes, repeat steps 3 and 6 as needed along your upgrade path to your desired final version.

Version history
Revision #:
1 of 1
Last update:
‎09-15-2011 08:40 AM
Updated by:
 
Labels (1)
Everyone's tags (4)
Comments
New Member

Anybody experience the system hanging on step 4?